/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include<iostream>
#include<iomanip>
#include"../board/cposition.h"
#include"../movegen/movegenerator.h"
#include"../movegen/mlist.h"
#include"../search/analyze.h"
using namespace std;

//-------------------------------------------------------
//
//           unittest xmovelist:
//

void test_xmovelist()
{
  cout << "Test XMoveList ........................................" << flush;
  bool r=true;

  ChessPosition cp;
  TranspositionTable tt;
  ThreadPool tp(4,tt);
  Analysis ana(cp,tt,tp);
  HistoryTable ht;

  {
    XMoveList xml;
    xml.increment();
    xml.increment();
    xml.increment();
    xml.increment();
    xml.increment();
    if(xml.current()!=5){r=false;}
  }
  

  if(r){cout << "OK" << endl;}else{cout << "FAIL" << endl;}

}






