/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef GTKMM_PIECECHOICEDRAW_H
#define GTKMM_PIECECHOICEDRAW_H

#include<gtkmm/drawingarea.h>
#include<gdkmm/pixbuf.h>
#include<vector>
using std::vector;


class PieceChoiceDraw : public Gtk::DrawingArea
{
 public:
  PieceChoiceDraw(const PieceChoiceDraw&);
  PieceChoiceDraw(const vector<Glib::RefPtr<Gdk::Pixbuf>>&);
  virtual ~PieceChoiceDraw();

 protected:
  virtual bool on_draw(const Cairo::RefPtr<Cairo::Context>& cr);


 private:
  vector<Glib::RefPtr<Gdk::Pixbuf>> m_image;
};



#endif // GTKMM_PIECECHOICEDRAW_H

