/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include<iostream>
#include<iomanip>
#include"../movegen/move.h"
#include"../search/principal.h"
using namespace std;

//-------------------------------------------------------
//
//           unittest principal variation:
//

void test_principal()
{
  cout << "Test Principal Variation .............................." << flush;
  bool r=true;

  {
    PrincipalVariation p,q;
    p[0]=Move(e2,e4,0,WhitePawn(),NoPiece());
    p[1]=Move(e7,e5,0,BlackPawn(),NoPiece());
    Move m(b8,c6,0,BlackKnight(),NoPiece());
    q=m+p;
    if(q.size()!=3){r=false;}
  }

  if(r){cout << "OK" << endl;}else{cout << "FAIL" << endl;}

}






