/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include<iostream>
#include<iomanip>
#include"../xbclock.h"
using namespace std;

//-------------------------------------------------------
//
//           unittest XbClock: 
//

void test_xbclock()
{
  cout << "Test XbClock .........................................." << flush;
  bool r=true;

  XbClock xbc;
  string s1=R"(0:10)";
  xbc.set_level(40,s1,5);
  string s2="40 "+s1+" 5";
  if(xbc.get_level()!=s2)
    {
      cout << "xbc.get_level()==" << xbc.get_level() << "     s2=" << s2 << endl;
      r=false;
    }
  
  if(r){cout << "OK" << endl;}else{cout << "FAIL" << endl;}
  
}






