/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef NUMERALS_H
#define NUMERALS_H


constexpr int infinite_value=32000;
constexpr int mate_value=30000;

constexpr int pawn_value=100;
constexpr int knight_value=300;
constexpr int bishop_value=300;
constexpr int rook_value=500;
constexpr int queen_value=900;
constexpr int king_value=4000;

constexpr int max_search_depth=102;
constexpr int infinite_search_time=50000000;
constexpr long long infinite_nodes=1ull << 62;

constexpr int own_book_maxdepth=24;

constexpr int white=1;
constexpr int black=0;

#endif
