/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include"unittest.h"



int main (int argc, char *argv[])
{
  test_bishopmask();
  test_bitboard();
  test_bkrecord();
  test_book();
  test_bposition();
  test_bucket();;
  test_check();
  test_connections();
  test_cposition();
  test_duration();
  test_egt4pieces();
  test_evaluation();
  test_fen();
  test_hasher();
  test_lmr();
  test_magicmoves();
  test_magicnumber();
  test_material();
  test_materialindex();
  test_mobility();
  test_move();
  test_movegenerator();
  test_movelist();
  test_multipv();
  test_pawnhashtable();
  test_phtrecord();
  test_piece();
  test_principal();
  test_pst();
  test_rep3filter();
  test_rookmask();
  test_square();
  test_threadpool();
  test_transposition();
  test_ttrecord();
  test_unmake();
  test_uci();
  test_xmovelist();
  test_analyse();
  return 0;
}
